%{!?pyver: %define pyver %(%{__python} -c 'import sys;print(sys.version[0:3])')}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pydir: %define pydir %(%{__python} -c "from distutils.sysconfig import get_config_vars; print get_config_vars()['LIBDEST']")}

Summary: Arp monitor
Name: arpmon
Version: 0.9.17
Release: 1
License: GPL
Source: http://kmlinux.fjfi.cvut.cz/~vokacpet/activities/%{name}/%{name}-%{version}.tar.gz
Group: Networking/Daemons
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
#BuildRequires: libpcap-devel
BuildRequires: systemd >= 200-3
Requires(post): systemd-units
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires: MySQL-python, python-pycap, python-ldap, python-netaddr, libpcap

%description
This program check ARP request on defined interfaces and monitor
wich network devices are alive. It also check if all MAC addresses
are registered in local database.


%prep
%setup


%build
#python setup.py build


%install
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"

#python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

#install -p -D -m755 arpmon.init $RPM_BUILD_ROOT%{_sysconfdir}/init.d/arpmon
#install -p -D -m600 arpmon.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/arpmon
#install -p -D -m644 arpmon@.service %{buildroot}%{_unitdir}/arpmon@.service
install -p -D -m644 arpmon@.service %{buildroot}/lib/systemd/system/arpmon@.service
install -p -D -m600 arpmon.conf $RPM_BUILD_ROOT%{_sysconfdir}/arpmon.conf.example
install -p -D -m755 arpmon.py $RPM_BUILD_ROOT%{_sbindir}/arpmon
touch arpmon.confc.example arpmon.state.example
install -p -D -m600 arpmon.confc.example $RPM_BUILD_ROOT%{_sysconfdir}/arpmon.confc.example
install -p -D -m600 arpmon.state.example $RPM_BUILD_ROOT%{_sysconfdir}/arpmon.state.example
#install -d $RPM_BUILD_ROOT%{_var}/log/arpmon
install -d $RPM_BUILD_ROOT/run/arpmon


%clean
[ ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != '/' ] && rm -rf "$RPM_BUILD_ROOT"


%post
%systemd_post arpmon@.service

%preun
# Package removal, not upgrade
%systemd_preun arpmon@.service

%postun
# Package upgrade, not uninstall
%systemd_postun_with_restart arpmon@.service

%files
%defattr(-,root,root)
%doc NEWS README TODO arpmon.mac arpmon.fingerprints arpmon.sql arpmon.checkdb arpmon.dumpstate device.sql test_*.py
#%config(noreplace) %{_sysconfdir}/sysconfig/arpmon
#%attr(0644,root,root) %{_unitdir}/arpmon@.service
%attr(0644,root,root) /lib/systemd/system/arpmon@.service
%config(noreplace) %{_sysconfdir}/arpmon.conf.example
%config(noreplace) %{_sysconfdir}/arpmon.confc.example
%config(noreplace) %{_sysconfdir}/arpmon.state.example
#%{_sysconfdir}/init.d/*
%{_sbindir}/*
#%attr(-,nobody,nobody) %{_var}/log/arpmon
%dir /run/arpmon


%changelog
* Sun May 25 2014 Petr Vokac <vokac@fjfi.cvut.cz> 0.9.16-0
- updated configuration for RHEL7 and systemd
- replaced python-IPy module with python-netaddr
- minor bugfixes

* Tue Jun  1 2010 Petr Vokac <vokac@fjfi.cvut.cz> 0.9.15-0
- code cleanup (config object, better threading support)
- better IPv6 support, IPv6 radfix
- fixed pycap memory alignment issue (for ARM arch)
- added support to pycap to send more ICMPv6 packet types (RA, NA, ...)

* Mon Mar 29 2010 Petr Vokac <vokac@fjfi.cvut.cz> 0.9.14-0
- support for VLAN interface/db info, custom packet filtering,
- active ARP probes for defined IP range

* Tue Sep 23 2008 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.9.13-0
- ArpServer for remote access to current arpmon status

* Sun Jul  6 2008 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.9.12-0
- updated python-pycap to version 0.2 (+ bunch of local patches)
- support for IPv6 monitoring

* Tue Feb 20 2007 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.9.8-0
- read config from config file

* Fri Feb 16 2007 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.9.7-0
- monitor wild DHCP servers

* Wed Feb 14 2007 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.9.6-0
- created version without threads to easyer debugging common problems

* Fri Jan 19 2007 Petr Vokac <vokac@kmlinux.fjfi.cvut.cz> 0.9.0-0
- initial release
